{% extends "base.html" %}
{% block style %}
<link rel="stylesheet" href="{{ url_for('static',filename='css/nouveau_projet.css') }}">
{% endblock %}
{% block main %}

<main class="d-flex flex-column align-items-center edt">
    <h1>{{titre}}</h1>
    <form id="form1" method="POST" action="{{ url_for('nouveau_projet_post') }}">
        {% with messages = get_flashed_messages() %}
        {% if messages %}
        <div class="notification is-danger" style="margin: 1em auto;">
            <p style="color:red;text-align: center;">{{ messages[0] }}</p>
        </div>
        {% endif %}
        {% endwith %}
        <div>
            <div>
                <hr>
                <div class="valeurs">
                    <div class="form-group">
                        <label> Intitule </label>
                        <input class="form-control" type="text" name="intitule" required>
                        <label for="date"> Date de début </label>
                        <input class="form-control" type="date" name="date_deb" id="date_deb" required>
                    </div>
                    <div class="form-group">
                        <label> Utilisateurs participants au projet </label>
                        <div id="input-joueurs">
                            <input class="form-control" list="utilisateurs" name="utilisateur" id="utilisateur">
                            <datalist id="utilisateurs">
                                {% for user in users %}
                                <option value="{{ user }}">
                                    {% endfor %}
                            </datalist>
                            <input type="text" id="inputParticipants" name="participants">
                            <button class = "btn btn-secondary" type="button" onclick="ajoutParticipants()">Ajouter</button>
                        </div>
                        <div>
                            <ul id="liste_participant"></ul>
                        </div>
                    </div>
                </div>

            </div>

            <div class="form-row" style="justify-content: space-around;">
                <button class="btn btn-danger form-btn" onclick="window.location.href = '/'">ANNULER</button>
                <button class="btn btn-primary form-btn" type="button" onclick="submitForm()">ENREGISTRER</button>
            </div>
    </form>
    </div>
</main>
{% endblock %}
{% block script %}
<script>
    let ensParticipants = new Set()
    ajoutParticipants = function () {
        let valeur = document.getElementById('utilisateur').value;
        if (valeur != "" && !ensParticipants.has(valeur)) {
            ensParticipants.add(valeur);
            let ul = document.getElementById('liste_participant');
            let li = document.createElement('li');
            let p = document.createElement('span');
            let b = document.createElement('button');
            p.style.margin = "1em";
            b.classList = "btn btn-secondary";
            b.innerText = 'Supprimer';
            b.id = valeur;
            p.innerText = valeur;
            li.appendChild(p);
            li.appendChild(b);
            li.id = "li_participant";
            ul.appendChild(li);

            b.onclick = function () {
                let a = this.parentNode;
                console.log(this.id);
                ensParticipants.delete(this.id)
                a.remove(); 
            };
        }
    }
    submitForm = function () {
        let listeParticipants = [];
        for (str of ensParticipants) {
            listeParticipants.push(str);
        }
        document.getElementById("inputParticipants").value = listeParticipants.join(",")
        document.forms["form1"].submit();
    }
</script>
{% endblock %}